/*! grafana - v4.1.2-1486989747 - 2017-02-13
 * Copyright (c) 2017 Torkel Ödegaard; Licensed Apache-2.0 */

System.register(["test/lib/common","../query_builder"],function(a,b){"use strict";var c,d;b&&b.id;return{setters:[function(a){c=a},function(a){d=a}],execute:function(){c.describe("ElasticQueryBuilder",function(){var a;c.beforeEach(function(){a=new d.default({timeField:"@timestamp"})}),c.it("with defaults",function(){var b=a.build({metrics:[{type:"Count",id:"0"}],timeField:"@timestamp",bucketAggs:[{type:"date_histogram",field:"@timestamp",id:"1"}]});c.expect(b.query.bool.must[0].range["@timestamp"].gte).to.be("$timeFrom"),c.expect(b.aggs[1].date_histogram.extended_bounds.min).to.be("$timeFrom")}),c.it("with defaults on es5.x",function(){var a=new d.default({timeField:"@timestamp",esVersion:5}),b=a.build({metrics:[{type:"Count",id:"0"}],timeField:"@timestamp",bucketAggs:[{type:"date_histogram",field:"@timestamp",id:"1"}]});c.expect(b.query.bool.must[0].range["@timestamp"].gte).to.be("$timeFrom"),c.expect(b.aggs[1].date_histogram.extended_bounds.min).to.be("$timeFrom")}),c.it("with multiple bucket aggs",function(){var b=a.build({metrics:[{type:"count",id:"1"}],timeField:"@timestamp",bucketAggs:[{type:"terms",field:"@host",id:"2"},{type:"date_histogram",field:"@timestamp",id:"3"}]});c.expect(b.aggs[2].terms.field).to.be("@host"),c.expect(b.aggs[2].aggs[3].date_histogram.field).to.be("@timestamp")}),c.it("with select field",function(){var b=a.build({metrics:[{type:"avg",field:"@value",id:"1"}],bucketAggs:[{type:"date_histogram",field:"@timestamp",id:"2"}]},100,1e3),d=b.aggs[2].aggs;c.expect(d[1].avg.field).to.be("@value")}),c.it("with term agg and order by metric agg",function(){var b=a.build({metrics:[{type:"count",id:"1"},{type:"avg",field:"@value",id:"5"}],bucketAggs:[{type:"terms",field:"@host",settings:{size:5,order:"asc",orderBy:"5"},id:"2"},{type:"date_histogram",field:"@timestamp",id:"3"}]},100,1e3),d=b.aggs[2],e=d.aggs[3];c.expect(d.aggs[5].avg.field).to.be("@value"),c.expect(e.aggs[5].avg.field).to.be("@value")}),c.it("with metric percentiles",function(){var b=a.build({metrics:[{id:"1",type:"percentiles",field:"@load_time",settings:{percents:[1,2,3,4]}}],bucketAggs:[{type:"date_histogram",field:"@timestamp",id:"3"}]},100,1e3),d=b.aggs[3];c.expect(d.aggs[1].percentiles.field).to.be("@load_time"),c.expect(d.aggs[1].percentiles.percents).to.eql([1,2,3,4])}),c.it("with filters aggs",function(){var b=a.build({metrics:[{type:"count",id:"1"}],timeField:"@timestamp",bucketAggs:[{id:"2",type:"filters",settings:{filters:[{query:"@metric:cpu"},{query:"@metric:logins.count"}]}},{type:"date_histogram",field:"@timestamp",id:"4"}]});c.expect(b.aggs[2].filters.filters["@metric:cpu"].query_string.query).to.be("@metric:cpu"),c.expect(b.aggs[2].filters.filters["@metric:logins.count"].query_string.query).to.be("@metric:logins.count"),c.expect(b.aggs[2].aggs[4].date_histogram.field).to.be("@timestamp")}),c.it("with filters aggs on es5.x",function(){var a=new d.default({timeField:"@timestamp",esVersion:5}),b=a.build({metrics:[{type:"count",id:"1"}],timeField:"@timestamp",bucketAggs:[{id:"2",type:"filters",settings:{filters:[{query:"@metric:cpu"},{query:"@metric:logins.count"}]}},{type:"date_histogram",field:"@timestamp",id:"4"}]});c.expect(b.aggs[2].filters.filters["@metric:cpu"].query_string.query).to.be("@metric:cpu"),c.expect(b.aggs[2].filters.filters["@metric:logins.count"].query_string.query).to.be("@metric:logins.count"),c.expect(b.aggs[2].aggs[4].date_histogram.field).to.be("@timestamp")}),c.it("with raw_document metric",function(){var b=a.build({metrics:[{type:"raw_document",id:"1"}],timeField:"@timestamp",bucketAggs:[]});c.expect(b.size).to.be(500)}),c.it("with moving average",function(){var b=a.build({metrics:[{id:"3",type:"sum",field:"@value"},{id:"2",type:"moving_avg",field:"3",pipelineAgg:"3"}],bucketAggs:[{type:"date_histogram",field:"@timestamp",id:"3"}]}),d=b.aggs[3];c.expect(d.aggs[2]).not.to.be(void 0),c.expect(d.aggs[2].moving_avg).not.to.be(void 0),c.expect(d.aggs[2].moving_avg.buckets_path).to.be("3")}),c.it("with broken moving average",function(){var b=a.build({metrics:[{id:"3",type:"sum",field:"@value"},{id:"2",type:"moving_avg",pipelineAgg:"3"},{id:"4",type:"moving_avg",pipelineAgg:"Metric to apply moving average"}],bucketAggs:[{type:"date_histogram",field:"@timestamp",id:"3"}]}),d=b.aggs[3];c.expect(d.aggs[2]).not.to.be(void 0),c.expect(d.aggs[2].moving_avg).not.to.be(void 0),c.expect(d.aggs[2].moving_avg.buckets_path).to.be("3"),c.expect(d.aggs[4]).to.be(void 0)}),c.it("with derivative",function(){var b=a.build({metrics:[{id:"3",type:"sum",field:"@value"},{id:"2",type:"derivative",pipelineAgg:"3"}],bucketAggs:[{type:"date_histogram",field:"@timestamp",id:"3"}]}),d=b.aggs[3];c.expect(d.aggs[2]).not.to.be(void 0),c.expect(d.aggs[2].derivative).not.to.be(void 0),c.expect(d.aggs[2].derivative.buckets_path).to.be("3")}),c.it("with adhoc filters",function(){var b=a.build({metrics:[{type:"Count",id:"0"}],timeField:"@timestamp",bucketAggs:[{type:"date_histogram",field:"@timestamp",id:"3"}]},[{key:"key1",operator:"=",value:"value1"}]);c.expect(b.query.bool.must[2].term.key1).to.be("value1")})})}}});